IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AI_RECON_SCHEMEEXC') 
 CREATE TABLE T_AI_RECON_SCHEMEEXC (
FDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AI_RECON_SCHEMEUSEREG') 
 CREATE TABLE T_AI_RECON_SCHEMEUSEREG (
FUSEORGID BIGINT DEFAULT 0 NOT NULL,
FDATAID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY NVARCHAR(10) DEFAULT ' ' NOT NULL,
FISASSIGN CHAR(1) DEFAULT ' ' NOT NULL
);


 EXEC P_ALTERPK 'PK_AI_RECON_SCHEMEEXC', 'T_AI_RECON_SCHEMEEXC', 'FDATAID,FUSEORGID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AI_RECON_SCHEMEEXC') CREATE INDEX IDX_AI_RECON_SCHEMEEXC ON T_AI_RECON_SCHEMEEXC ( FCREATEORGID );


 EXEC P_ALTERPK 'PK_AI_RECON_SCHEMEUSEREG', 'T_AI_RECON_SCHEMEUSEREG', 'FUSEORGID,FDATAID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AI_RECON_SCHEMEUSEREG') CREATE INDEX IDX_AI_RECON_SCHEMEUSEREG ON T_AI_RECON_SCHEMEUSEREG ( FCREATEORGID );

