IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AI_RECDATARULEENTRY_L') 
 CREATE TABLE T_AI_RECDATARULEENTRY_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
Fdescription NVARCHAR(500) DEFAULT ' '
);

 EXEC P_ALTERPK 'PK_AI_RECDATARULEENTRY_L', 'T_AI_RECDATARULEENTRY_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AI_RECDATARULEENTRY_L') 
 CREATE INDEX IDX_AI_RECDATARULEENTRY_L ON T_AI_RECDATARULEENTRY_L ( FID ,FLOCALEID );

 
 IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_AI_RECON_SCHEME_CURR1') 
 CREATE TABLE T_AI_RECON_SCHEME_CURR1 (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID NVARCHAR(36) DEFAULT '0' NOT NULL
);

 
 
 EXEC P_ALTERPK 'PK_AI_RECON_SCHEME_CURR1', 'T_AI_RECON_SCHEME_CURR1', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AI_RECON_SCHEME_CURR1') 
 CREATE INDEX IDX_AI_RECON_SCHEME_CURR1 ON T_AI_RECON_SCHEME_CURR1 ( FID );
