﻿/**Begin D:\PDM_UPGRADE\PDM1\GL_constraint.sql **/
EXEC p_DropIdx 'IDX_GL_CFBIP', 'T_GL_CASHFLOW';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_GL_CASHFLOW' AND KSQL_INDNAME = 'IDX_GL_CFBIP') CREATE INDEX IDX_GL_CFBIP ON T_GL_CASHFLOW ( FORGID ,FBOOKTYPEID ,FENDPERIODID ,FCFITEMID ,FASSGRPID ,FCURRENCYID );

EXEC p_DropIdx 'IDX_GL_INITCASHFLOW', 'T_GL_INITCASHFLOW';
  IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_GL_INITCASHFLOW' AND KSQL_INDNAME = 'IDX_GL_INITCASHFLOW') CREATE INDEX IDX_GL_INITCASHFLOW ON T_GL_INITCASHFLOW ( FORGID ,FBOOKTYPEID ,FCFITEMID ,FASSGRPID ,FCURRENCYID );

EXEC p_DropIdx 'IDX_GL_INITBAL', 'T_GL_INITBALANCE';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_TABNAME = 'T_GL_INITBALANCE' AND KSQL_INDNAME = 'IDX_GL_INITBAL') CREATE INDEX IDX_GL_INITBAL ON T_GL_INITBALANCE ( FORGID ,FBOOKTYPEID ,FACCOUNTTABLEID ,FACCOUNTID ,FASSGRPID ,FCURRENCYID ,FMEASUREUNITID );

 EXEC P_ALTERPK 'PK_T_GL_DESTAMORTCOMASSIST1', 'T_GL_DESTAMORTCOMASSIST1', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_DESTAMORTCOMASSIST1') CREATE INDEX IDX_GL_DESTAMORTCOMASSIST1 ON T_GL_DESTAMORTCOMASSIST1 ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_GL_DESTAMORTCOMASSIST2', 'T_GL_DESTAMORTCOMASSIST2', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_DESTAMORTCOMASSIST2') CREATE INDEX IDX_GL_DESTAMORTCOMASSIST2 ON T_GL_DESTAMORTCOMASSIST2 ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_GL_TARAMORTCOMASSIST1', 'T_GL_TARAMORTCOMASSIST1', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_TARAMORTCOMASSIST1') CREATE INDEX IDX_GL_TARAMORTCOMASSIST1 ON T_GL_TARAMORTCOMASSIST1 ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_GL_TARAMORTCOMASSIST2', 'T_GL_TARAMORTCOMASSIST2', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_TARAMORTCOMASSIST2') CREATE INDEX IDX_GL_TARAMORTCOMASSIST2 ON T_GL_TARAMORTCOMASSIST2 ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_GL_AUTOTRANSEXP_CASS1', 'T_GL_AUTOTRANSEXP_CASS1', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_AUTOTRANSEXP_CASS1') CREATE INDEX IDX_GL_AUTOTRANSEXP_CASS1 ON T_GL_AUTOTRANSEXP_CASS1 ( FID );


 EXEC P_ALTERPK 'PK_T_GL_AUTOTRANSEXP_CASS2', 'T_GL_AUTOTRANSEXP_CASS2', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_AUTOTRANSEXP_CASS2') CREATE INDEX IDX_GL_AUTOTRANSEXP_CASS2 ON T_GL_AUTOTRANSEXP_CASS2 ( FID );


 EXEC P_ALTERPK 'PK_T_GL_AUTOTRANENTRY_CASS1', 'T_GL_AUTOTRANENTRY_CASS1', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_AUTOTRANENTRY_CASS1') CREATE INDEX IDX_GL_AUTOTRANENTRY_CASS1 ON T_GL_AUTOTRANENTRY_CASS1 ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_GL_AUTOTRANENTRY_CASS2', 'T_GL_AUTOTRANENTRY_CASS2', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_AUTOTRANENTRY_CASS2') CREATE INDEX IDX_GL_AUTOTRANENTRY_CASS2 ON T_GL_AUTOTRANENTRY_CASS2 ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_GL_ADJUSTRATE_CASS1', 'T_GL_ADJUSTRATE_CASS1', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_ADJUSTRATE_CASS1') CREATE INDEX IDX_GL_ADJUSTRATE_CASS1 ON T_GL_ADJUSTRATE_CASS1 ( FID );


 EXEC P_ALTERPK 'PK_T_GL_ADJUSTRATE_CASS2', 'T_GL_ADJUSTRATE_CASS2', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_ADJUSTRATE_CASS2') CREATE INDEX IDX_GL_ADJUSTRATE_CASS2 ON T_GL_ADJUSTRATE_CASS2 ( FID );


 EXEC P_ALTERPK 'PK_T_GL_TRANSPLPROGRAM_CASS1', 'T_GL_TRANSPLPROGRAM_CASS1', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_TRANSPLPROGRAM_CASS1') CREATE INDEX IDX_GL_TRANSPLPROGRAM_CASS1 ON T_GL_TRANSPLPROGRAM_CASS1 ( FID );


 EXEC P_ALTERPK 'PK_T_GL_TRANSPLPROGRAM_CASS2', 'T_GL_TRANSPLPROGRAM_CASS2', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_TRANSPLPROGRAM_CASS2') CREATE INDEX IDX_GL_TRANSPLPROGRAM_CASS2 ON T_GL_TRANSPLPROGRAM_CASS2 ( FID );



/**End D:\PDM_UPGRADE\PDM1\GL_constraint.sql **/
