IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_PERCENT') 
 CREATE TABLE T_GL_PERCENT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTBOOKID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_PERCENTENTRY') 
 CREATE TABLE T_GL_PERCENTENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FACCOUTID BIGINT DEFAULT 0 NOT NULL,
FASSGRPID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FVALUE VARCHAR(2) DEFAULT ' ' NOT NULL,
FSIGN VARCHAR(2) DEFAULT '1' NOT NULL,
FLEFTBRACKET VARCHAR(5) DEFAULT '1' NOT NULL,
FRIGHTBRACKET VARCHAR(5) DEFAULT '1' NOT NULL,
FDEFVAL DECIMAL(23,10) DEFAULT 0 NOT NULL
);

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_GL_AUTOTRANSENTRY' AND KSQL_COL_NAME ='FPERCENTTYPE') 
 ALTER TABLE T_GL_AUTOTRANSENTRY ADD (FPERCENTTYPE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_GL_AUTOTRANSENTRY' AND KSQL_COL_NAME ='FPERCENTEXP') 
 ALTER TABLE T_GL_AUTOTRANSENTRY ADD (FPERCENTEXP BIGINT DEFAULT 0 NOT NULL );