﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\GL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_GL_RECIPROCAL_LOG' AND KSQL_COL_NAME IN ('FWRITEOFFTYPE')) 
 ALTER TABLE T_GL_RECIPROCAL_LOG ADD (FWRITEOFFTYPE CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_RECI_INIT_STATE') 
 CREATE TABLE T_GL_RECI_INIT_STATE (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBOOKTYPEID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTTABLEID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FENDINITPERIOD BIGINT DEFAULT 0 NOT NULL,
FISENDINIT CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_RECIPROCAL_INIT') 
 CREATE TABLE T_GL_RECIPROCAL_INIT (
FID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FBOOKTYPEID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTTABLEID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTID BIGINT DEFAULT 0 NOT NULL,
FASSGRPID BIGINT DEFAULT 0 NOT NULL,
FCURLOCAL BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBIZDATE DATETIME,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBIZBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FAMOUNTFOR DECIMAL(19,6) DEFAULT 0 NOT NULL,
FAMOUNTLOCAL DECIMAL(19,6) DEFAULT 0 NOT NULL,
FDEADLINEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_RECI_SCHEME') 
 CREATE TABLE T_GL_RECI_SCHEME (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'C' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCREATEORGID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FUSEORG BIGINT DEFAULT 0 NOT NULL,
FCTRLSTRATEGY CHAR(1) DEFAULT ' ' NOT NULL,
FVERIFIORDER CHAR(1) DEFAULT ' ' NOT NULL,
FREVERORDERSAMEDIRE CHAR(1) DEFAULT ' ' NOT NULL,
FVERIFIDIFFBUSINO CHAR(1) DEFAULT ' ' NOT NULL,
FNOVERIFIBUSINOEMPTY CHAR(1) DEFAULT ' ' NOT NULL,
FMONEYEQUACANVERFI CHAR(1) DEFAULT ' ' NOT NULL,
FEXCLUUNPOSTVOUCHER CHAR(1) DEFAULT ' ' NOT NULL,
FACCOUNTTABLEID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTTYPEID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_RECI_SCHEME_L') 
 CREATE TABLE T_GL_RECI_SCHEME_L (
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_RECIPROCAL_ACCOUNT') 
 CREATE TABLE T_GL_RECIPROCAL_ACCOUNT (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_RECIPROCAL_CURRENCY') 
 CREATE TABLE T_GL_RECIPROCAL_CURRENCY (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\GL_table.sql **/
