/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\GL_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_SYN_DELETERECODE') 
 CREATE TABLE T_GL_SYN_DELETERECODE (
FID BIGINT DEFAULT 0 NOT NULL,
FDTIME NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_SYN_RECODE_ENTRY') 
 CREATE TABLE T_GL_SYN_RECODE_ENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FMIDID NVARCHAR(50) DEFAULT ' ' NOT NULL,
FMIDBILLNO NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_SYN_SUBVOUCHERENTRY') 
 CREATE TABLE T_GL_SYN_SUBVOUCHERENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FKEY NVARCHAR(50) DEFAULT ' ' NOT NULL,
FVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTYPE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCASHVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FOTHERVALUE NVARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_SYN_VOUCHER') 
 CREATE TABLE T_GL_SYN_VOUCHER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(30) DEFAULT ' ' NOT NULL,
FBOOKEDDATE DATETIME,
FBIZDATE DATETIME,
FATTACHMET BIGINT DEFAULT 0 NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVOUCHERSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FORG NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBOOKTYPE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FVOUCHERTYPE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISSYN CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GL_SYN_VOUCHERENTRY') 
 CREATE TABLE T_GL_SYN_VOUCHERENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FEDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FACCOUNTINFO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FASSGRPINFO NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FASSGRPTEXT NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FDEBITORI DECIMAL(21,6) DEFAULT 0 NOT NULL,
FCREDITORI DECIMAL(21,6) DEFAULT 0 NOT NULL,
FLOCALRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDEBITLOCAL DECIMAL(21,6) DEFAULT 0 NOT NULL,
FCREDITLOCAL DECIMAL(21,6) DEFAULT 0 NOT NULL,
FQUANTITY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FMAINCFASSGRPINFO NVARCHAR(2000) DEFAULT ' ' NOT NULL,
FMAINCFAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUPPCFAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXPIREDATE DATETIME,
FBUSINESSNUM NVARCHAR(50) DEFAULT ' ' NOT NULL,
FACCOUNT NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYDC NVARCHAR(50) DEFAULT ' ' NOT NULL,
FCURRENCYINFO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMEASUREUNITINFO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FMAINCFITEMINFO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSUPPCFITEMINFO NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\GL_table.sql **/


/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\GL_constraint.sql **/
 EXEC P_ALTERPK 'PK_T_GL_SYN_DELETERECODE', 'T_GL_SYN_DELETERECODE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_SYN_DELETERECODE') CREATE INDEX IDX_GL_SYN_DELETERECODE ON T_GL_SYN_DELETERECODE ( FDTIME );


 EXEC P_ALTERPK 'PK_T_GL_SYN_RECODE_ENTRY', 'T_GL_SYN_RECODE_ENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_SYNRECODE_ENTRY') CREATE INDEX IDX_GL_SYNRECODE_ENTRY ON T_GL_SYN_RECODE_ENTRY ( FID );


 EXEC P_ALTERPK 'PK_T_GL_SYN_SUBVOUCHERENTRY', 'T_GL_SYN_SUBVOUCHERENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_SUBENTRY') CREATE INDEX IDX_GL_SUBENTRY ON T_GL_SYN_SUBVOUCHERENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_T_GL_SYN_VOUCHER', 'T_GL_SYN_VOUCHER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_SYNVOUCHER') CREATE INDEX IDX_GL_SYNVOUCHER ON T_GL_SYN_VOUCHER ( FBILLNO );


 EXEC P_ALTERPK 'PK_T_GL_SYN_VOUCHERENTRY', 'T_GL_SYN_VOUCHERENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_SYNVOUCHERENTRY') CREATE INDEX IDX_GL_SYNVOUCHERENTRY ON T_GL_SYN_VOUCHERENTRY ( FID ,FACCOUNTINFO );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\GL_constraint.sql **/
