-- 更新凭证复核状态
-- 更新已复核状态为c
if exists (select 1 from t_gl_voucher WHERE FISCHECK in ('0','1'))
   update t_gl_voucher set FISCHECK = 'c' where FISCHECK = '1';

-- 更新待复核状态为b
if exists (select 1 from t_gl_voucher WHERE FISCHECK in ('0','1'))
update t_gl_voucher set FISCHECK = 'b' where fid in (
	select id from (
		select id,max(iscash) cash from (
				select e.fid id,(case when b.FISCASH ='1' or b.FISCASHEQUIVALENT='1' or b.FISBANK='1' then 1 else 0 end) iscash from t_gl_voucherentry e left join t_bd_account b on e.faccountid=b.fid
			) t GROUP BY t.id 
		) k where k.cash =1
) and FISCHECK != 'c';

-- 更新无需复核状态为a
if exists (select 1 from t_gl_voucher WHERE FISCHECK in ('0','1'))
update t_gl_voucher set FISCHECK = 'a' where fid in (
	select id from (
		select id,max(iscash) cash from (
				select e.fid id,(case when b.FISCASH ='1' or b.FISCASHEQUIVALENT='1' or b.FISBANK='1' then 1 else 0 end) iscash from t_gl_voucherentry e left join t_bd_account b on e.faccountid=b.fid
			) t GROUP BY t.id 
		) k where k.cash =0
);