﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\GL_constraint.sql **/
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_SUMLOG_FDATE') CREATE INDEX IDX_GL_SUMLOG_FDATE ON T_GL_INTELLSCHEMASUMLOG ( FDATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_OPERSUMLOG_DATE') CREATE INDEX IDX_GL_OPERSUMLOG_DATE ON T_GL_INTELLOPERSUMLOG ( FDATE );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_INTELLSCHEMALOG_DATE') CREATE INDEX IDX_GL_INTELLSCHEMALOG_DATE ON T_GL_INTELLSCHEMALOG ( FDATE );

 EXEC p_AlterPK 'PK_AI_RECON_TAB2ENTRY', 'T_AI_RECON_TAB2ENTRY', 'FEntryId', '1';
EXEC p_DropIdx 'PK_AI_RECON_TAB2ENTRY', 'T_AI_RECON_TAB2ENTRY';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AI_RECON_TAB2ENTRY') CREATE INDEX IDX_AI_RECON_TAB2ENTRY ON T_AI_RECON_TAB2ENTRY ( FID );

 EXEC p_AlterPK 'PK_AI_RECON_TAB3ENTRY', 'T_AI_RECON_TAB3ENTRY', 'FEntryId', '1';
EXEC p_DropIdx 'PK_AI_RECON_TAB3ENTRY', 'T_AI_RECON_TAB3ENTRY';
 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AI_RECON_TAB3ENTRY') CREATE INDEX IDX_AI_RECON_TAB3ENTRY ON T_AI_RECON_TAB3ENTRY ( FID );

 EXEC P_ALTERPK 'PK_AI_RECON_SCHEME_CURR1', 'T_AI_RECON_SCHEME_CURR1', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_AI_RECON_SCHEME_CURR1') CREATE INDEX IDX_AI_RECON_SCHEME_CURR1 ON T_AI_RECON_SCHEME_CURR1 ( FID );


 EXEC P_ALTERPK 'PK_T_GL_ITEMCREDITACCT', 'T_GL_ITEMCREDITACCT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_ITEMCREDITACCT_FID') CREATE INDEX IDX_GL_ITEMCREDITACCT_FID ON T_GL_ITEMCREDITACCT ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_ITEMCREDITACCT_FBID') CREATE INDEX IDX_GL_ITEMCREDITACCT_FBID ON T_GL_ITEMCREDITACCT ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_GL_ITEMDEBITACCT', 'T_GL_ITEMDEBITACCT', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_ITEMDEBITACCT_FID') CREATE INDEX IDX_GL_ITEMDEBITACCT_FID ON T_GL_ITEMDEBITACCT ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_ITEMDEBITACCT_FBID') CREATE INDEX IDX_GL_ITEMDEBITACCT_FBID ON T_GL_ITEMDEBITACCT ( FBASEDATAID );


 EXEC P_ALTERPK 'PK_T_GL_PRESETCASHFLOWITEM', 'T_GL_PRESETCASHFLOWITEM', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_GL_PERSETITEM') CREATE INDEX IDX_GL_PERSETITEM ON T_GL_PRESETCASHFLOWITEM ( FCREATEORGID ,FACCOUNTTABLEID ,FGROUPID );


/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\GL_constraint.sql **/
