/** 定义调度作业类 **/
DELETE FROM t_sch_taskdefine WHERE FID = '2W2X04X7C81T';
INSERT INTO t_sch_taskdefine(fid, fclassname, fnumber, fappid) VALUES('2W2X04X7C81T', 'kd.fi.gl.formplugin.voucher.count.task.VoucherCountTask', 'glvouchercount', 'gl');

DELETE FROM t_sch_taskdefine WHERE FID = '2WF42GP82UFI';
INSERT INTO t_sch_taskdefine(fid, fclassname, fnumber, fappid) VALUES('2WF42GP82UFI', 'kd.fi.gl.formplugin.voucher.count.task.VoucherCountLogCleanTask', 'gl_vouchercount_log_clean', 'gl');


DELETE FROM t_sch_taskdefine_L WHERE FPKID = '2W2X04X7EJZE';
INSERT INTO t_sch_taskdefine_l(fpkid, fid, flocaleid, fname) VALUES('2W2X04X7EJZE', '2W2X04X7C81T', 'zh_CN', '凭证计数计算任务');
DELETE FROM t_sch_taskdefine_L WHERE FPKID = '2W2X04X7EJZF';
INSERT INTO t_sch_taskdefine_l(fpkid, fid, flocaleid, fname) VALUES('2W2X04X7EJZF', '2W2X04X7C81T', 'zh_TW', '憑證計數計算任務');

DELETE FROM t_sch_taskdefine_L WHERE FPKID = '2WF42GP82TS9';
INSERT INTO t_sch_taskdefine_l(fpkid, fid, flocaleid, fname) VALUES('2WF42GP82TS9', '2WF42GP82UFI', 'zh_CN', '凭证计数-日志清除');
DELETE FROM t_sch_taskdefine_L WHERE FPKID = '2WF42GP82TS=';
INSERT INTO t_sch_taskdefine_l(fpkid, fid, flocaleid, fname) VALUES('2WF42GP82TS=', '2WF42GP82UFI', 'zh_TW', '憑證計數-日誌清除');


/** 定义调度作业 **/
DELETE FROM t_sch_job WHERE FID = '2W2X32QFRJLA';
INSERT INTO t_sch_job
(fid, fjobtype, ftaskclassname, frunbyuserid, fnumber, ftaskdefineid, fstatus, fparams, ftimeout, frunbyorgid, frunbylang, fconcurrent, frunmode, fstrategy, fretrytime, fcanstop)
VALUES('2W2X32QFRJLA', 'BIZ', 'kd.fi.gl.formplugin.voucher.count.task.VoucherCountTask', 1179023017448163328, 'gl_vouchercount_SKDJ_S', '2W2X04X7C81T', '1', '{}', 0, 0, 'zh_CN', '0', '0', '1', 0, '0');

DELETE FROM t_sch_job WHERE FID = '2WF4KT82QF9L';
INSERT INTO t_sch_job
(fid, fjobtype, ftaskclassname, frunbyuserid, fnumber, ftaskdefineid, fstatus, fparams, ftimeout, frunbyorgid, frunbylang, fconcurrent, frunmode, fstrategy, fretrytime, fcanstop)
VALUES('2WF4KT82QF9L', 'BIZ', 'kd.fi.gl.formplugin.voucher.count.task.VoucherCountLogCleanTask', 1179023017448163328, 'gl_vouchercount_log_clean_SKDJ_S', '2WF42GP82UFI', '1', '{}', 0, 1204464183454745600, ' ', '0', '0', '1', 0, '0');


DELETE FROM t_sch_job_L WHERE FPKID = '2W2X32QFTWGY';
INSERT INTO t_sch_job_l(fpkid, fid, flocaleid, fname) VALUES('2W2X32QFTWGY', '2W2X32QFRJLA', 'zh_CN', '凭证计数-日志计算');
DELETE FROM t_sch_job_L WHERE FPKID = '2W2X32QFTWGZ';
INSERT INTO t_sch_job_l(fpkid, fid, flocaleid, fname) VALUES('2W2X32QFTWGZ', '2W2X32QFRJLA', 'zh_TW', '憑證計數-日誌計算');

DELETE FROM t_sch_job_L WHERE FPKID = '2WF4KT82SIQM';
INSERT INTO t_sch_job_l(fpkid, fid, flocaleid, fname) VALUES('2WF4KT82SIQM', '2WF4KT82QF9L', 'zh_CN', '凭证计数-日志清除');
DELETE FROM t_sch_job_L WHERE FPKID = '2WF4KT82SIQN';
INSERT INTO t_sch_job_l(fpkid, fid, flocaleid, fname) VALUES('2WF4KT82SIQN', '2WF4KT82QF9L', 'zh_TW', '憑證計數-日誌清除');


/** 定义调度计划 **/
DELETE FROM T_SCH_SCHEDULE WHERE FID = '2W2X9/FOMM4L';
INSERT INTO t_sch_schedule
(fid, fjobid, fstarttime, fendtime, fplan, fnumber, fstatus, fcyclenum, fhost, fsun, fsat, ffri, fthur, fwed, ftues, fmon, fone, ftwo, fthirtyone, fthirty, ftwentynine, ftwentyeight, ftwentyseven, ftwentysix, ftwentyfive, ftwentyfour, ftwentythree, ftwentytwo, ftwentyone, ftwenty, fnineteen, feighteen, fseventeen, fsixteen, ffifteen, ffourteen, fthirteen, ftwelve, feleven, ften, fnine, feight, fseven, fsix, ffive, ffour, fthree, fno, fnoweek, fjan, fdec, fnov, foct, fsep, faug, fjul, fjun, fmay, fapr, fmar, ffeb, fbyweek, fbydayorweek, fdesc, frepeatmode)
VALUES('2W2X9/FOMM4L', '2W2X32QFRJLA', {ts'2022-11-17  00:00:00'}, {ts'2099-11-17  00:00:00'}, '0 0/10 7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23 * * ?', 'gl_vouchercount_SKDP_S', '1', 10, '172.19.111.20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'd', '事件将于2022-11-17 15:26:42起，每10分钟重复。
预计最近十次执行时间：
2022-11-17 15:30:00,
2022-11-17 15:40:00,
2022-11-17 15:50:00,
2022-11-17 16:00:00,
2022-11-17 16:10:00,
2022-11-17 16:20:00,
2022-11-17 16:30:00,
2022-11-17 16:40:00,
2022-11-17 16:50:00,
2022-11-17 17:00:00', 'mi');

DELETE FROM T_SCH_SCHEDULE WHERE FID = '2WF4PZG7LIX=';
INSERT INTO t_sch_schedule
(fid, fjobid, fstarttime, fendtime, fplan, fnumber, fstatus, fcyclenum, fhost, fsun, fsat, ffri, fthur, fwed, ftues, fmon, fone, ftwo, fthirtyone, fthirty, ftwentynine, ftwentyeight, ftwentyseven, ftwentysix, ftwentyfive, ftwentyfour, ftwentythree, ftwentytwo, ftwentyone, ftwenty, fnineteen, feighteen, fseventeen, fsixteen, ffifteen, ffourteen, fthirteen, ftwelve, feleven, ften, fnine, feight, fseven, fsix, ffive, ffour, fthree, fno, fnoweek, fjan, fdec, fnov, foct, fsep, faug, fjul, fjun, fmay, fapr, fmar, ffeb, fbyweek, fbydayorweek, fdesc, frepeatmode)
VALUES('2WF4PZG7LIX=', '2WF4KT82QF9L', {ts'2022-11-17  00:00:00'}, {ts'2099-11-17  00:00:00'}, '0 20 2 21/10 * ?', 'gl_vouchercount_log_clean_SKDP_S', '1', 10, '172.19.111.20', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', ' ', ' ', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', '0', 'd', '事件将于2022-11-21 11:20:04起，每月21日开始每10天2时重复。
预计最近十次执行时间：
2022-12-21 02:20:00,
2022-12-31 02:20:00,
2023-01-21 02:20:00,
2023-01-31 02:20:00,
2023-02-21 02:20:00,
2023-03-21 02:20:00,
2023-03-31 02:20:00,
2023-04-21 02:20:00,
2023-05-21 02:20:00,
2023-05-31 02:20:00', 'd');


DELETE FROM T_SCH_SCHEDULE_L WHERE FPKID = '2W2X9/FOOZ07';
INSERT INTO t_sch_schedule_l(fpkid, fid, flocaleid, fname) VALUES('2W2X9/FOOZ07', '2W2X9/FOMM4L', 'zh_CN', '凭证计数日志计算');
DELETE FROM T_SCH_SCHEDULE_L WHERE FPKID = '2W2X9/FOOZ08';
INSERT INTO t_sch_schedule_l(fpkid, fid, flocaleid, fname) VALUES('2W2X9/FOOZ08', '2W2X9/FOMM4L', 'zh_TW', '憑證計數日誌計算');

DELETE FROM T_SCH_SCHEDULE_L WHERE FPKID = '2WF4PZG7NMCA';
INSERT INTO t_sch_schedule_l(fpkid, fid, flocaleid, fname) VALUES('2WF4PZG7NMCA', '2WF4PZG7LIX=', 'zh_CN', '凭证计数-日志清除');
DELETE FROM T_SCH_SCHEDULE_L WHERE FPKID = '2WF4PZG7NMCB';
INSERT INTO t_sch_schedule_l(fpkid, fid, flocaleid, fname) VALUES('2WF4PZG7NMCB', '2WF4PZG7LIX=', 'zh_TW', '憑證計數-日誌清除');
